<?php session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php'); 
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']=''; 
menu();

echo "<b>Opciones:</b> ";
if (substr($_SESSION['acceso_validar'],9,1)=='1') echo "&nbsp;&nbsp;<a href='calculo_carga_trabajador.php'><img border = 0 src='img2/cargar_a_trabajador.png' alt='cargar_por_trabajador'>Carga por Trabajador</a>";

if (substr($_SESSION['acceso_validar'],10,1)=='1') if (substr($_SESSION['acceso_validar'],10,1)=='1') echo "&nbsp;&nbsp;
	<a href='calculo_prestamo.php'>
	<img border = 0 src='img2/carga_prestamo2.png' alt='cargar_prestamo'>Carga de Prestamos
	</a>";

echo "<hr>";
echo "<h2><center>Carga Individual de Constantes de N&oacute;mina</center></h2>";

$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$cedula=$_REQUEST["cedula"];
$constante=$_REQUEST["constante"];
$ordena=$_REQUEST["ordena"];
$nomina=$_REQUEST["nomina"];
$monto=$_REQUEST["monto"];
echo "<font face='verdana' size=2>";

//////////////////////////////////////////////////////////////////////////////// INICIO MENU DE OPCIONES
if (!$_POST && $accion!=1) {
	$query="select * from nomina where id='".$_SESSION['id_validar']."' order by codigo";
	$consulta=mysqli_query($enlace,$query);
	$resultado=mysqli_num_rows($consulta);
	if ($resultado==0) {
			echo "No se han ingresado Nominas...";
	} else {
			echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
			echo "<input type = 'hidden' name = 'inicio' value = '1'>";
			$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
			$resultado = mysqli_num_rows($consulta);
			echo "<table align ='center'>";
			echo "<tr>
				<td align='righta'>Ordenar por:</td>
				<td align='left'>
					<select style='width:300px; border-radius:8px; padding:4px;' name='ordena'>
						<option value='codigo' ".($_POST['codigo']=='codigo'?'selected':'').">Cedula
						<option value='apellidos' selected>Apellidos
						<option value='nombres' ".($_POST['nombres']=='nombres'?'selected':'').">Nombres
						<option value='fechai' ".($_POST['fechai']=='fechai'?'selected':'').">Fecha Ingreso
					</select>
				</td></tr>";
			echo "<tr>";
				echo "<td align = 'righta'> N&oacute;mina: </td>";
				echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'nomina'>";
				if ($resultado != 0) {
					for ($i=0;$i<$resultado;$i++) {
						$row1 = mysqli_fetch_array($consulta);
						if ($_SESSION['nom01_validar']!=$row1['codigo']) 
						echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
					}
				}	
				echo "</select>";
				echo "</td>";
			echo "</tr>";

			echo "
				<tr><td align='righta'>Status del Trabajador:</td>
				<td align='left'>
					<select style='width:300px; border-radius:8px; padding:4px;' name='statusx'>
						<option value='' selected>Todos
						<option value='A'>Activos
						<option value='C'>Contratados
					</select>
				</td>
				</tr>";
							
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%' value='".$row1['codigo']."' ".($_POST['gerencia']==$row1['codigo']?'selected':'').">".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";

			echo "
				<tr><td align='righta'>Forma de Pago:</td>
				<td align='left'>
					<select style='width:300px; border-radius:8px; padding:4px;' name='pago'>
						<option value='' selected>
						<option value='1'>Efectivo
						<option value='2'>Deposito Bancario
					</select>
				</td>
				</tr>";

			
			echo "<tr>";
				$query = "select * from constante where id='".$_SESSION['id_validar']."' order by codigo";
				$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
				$resultado = mysqli_num_rows($consulta);
				echo "<td align = 'righat'> <font color=red>Constante:</font> </td>";
				echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'constante'>";
				if ($resultado != 0) {
					for ($i=0;$i<$resultado;$i++) {
						$row1 = mysqli_fetch_array($consulta);
						echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
					}
				}	
				echo "</select>";
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td align = 'righta'> Acci&oacute;n: </td>";
				echo "<td><input name = 'procesar' type='submit' class='boton' value='Buscar Montos Individuales'></td>";
				echo "</td>";
			echo "</tr>";
			echo "</table>";
			echo "</form>";
			
			echo "	<script language='JavaScript' type='text/JavaScript'>";
			echo "		document.entrada.nomina.focus()";
			echo "	</script>";
			mysqli_free_result($consulta);
	}
}
//////////////////////////////////// graba registros  ///////////////////////////////////////
if ($_POST['grabar']=='11' ) {

	$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
	if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			if ($row['pre']==1) $nograbar=1;
			else $nograbar=0;
	} 
	if ($nograbar==0) {
	
		$query = "select personal.codigo, personal.nombres, personal.apellidos, personal.fechai from personal where id='".$_SESSION['id_validar']."' and personal.nomina='".substr($_POST['nomina'],0,3)."' and (personal.status ='C' or personal.status ='A') order by personal.".$_POST['ordena']." ";
		$consulta = mysqli_query($enlace,$query) or die ($query. " ".mysqli_error($enlace));
		while ($row = mysqli_fetch_array($consulta)) {
			
			$cedula='C'.trim($row['codigo']);
			if ($_POST[$cedula]!="") {
					
				$monto = $_POST[$cedula]+0;	
				$query = "select * from constante_individual where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula = '".$row['codigo']."'  and codigo='".substr($_POST['constante'],0,4)."'";
				$cquery = mysqli_query($enlace,$query) or die ($query. " ".mysqli_error($enlace));
				if (mysqli_num_rows($cquery)!=0) {
					$row1 = mysqli_fetch_array($cquery);
					$query = "update constante_individual set monto='".$monto."' where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and cedula = '".$row['codigo']."'  and codigo='".substr($_POST['constante'],0,4)."'";
					$cquery = mysqli_query($enlace,$query) or die ($query. " ".mysqli_error($enlace));
				} else {
					$query = "insert into constante_individual (id, codigo, cedula,nomina,monto) values ('".$_SESSION['id_validar']."','".$_POST['constante']."','".$row['codigo']."','".substr($_POST['nomina'],0,3)."','".$monto."')" ;
					$cquery = mysqli_query($enlace,$query) or die ($query. " ".mysqli_error($enlace));
				}
				
			}	
		}	
	}	
}		

////////////////////////////////////////////////////////////////////////////////// MOSTRAR REGISTROS
if ($_POST['inicio']==1 || $_POST['grabar']==11) {
			echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' enctype='multipart/form-data'>";
			echo "<table align ='center'>";
			echo "<tr>";
				echo "<td align = 'right'> N&oacute;mina: </td>";
				echo "<td align = 'left'> ".$_POST['nomina'];
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td align = 'right'> Constante: </td>";
				echo "<td align = 'left'>".$_POST['constante'];
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td align = 'right'> Acci&oacute;n: </td>";
				echo "<td><input name = 'procesar' type='submit' class='boton' value='Regresar al Inicio'></td>";
			echo "</tr>";
			echo "</table></form>";
			echo "<center><font color=red>".($nograbar==1?"No se puede GRABAR porque la Nómina esta en Pre-Cierre":"")."</font></center>";
			
			$status = ($_POST['statusx']==''?" (status='A' or status='C') ":" status='".$_POST['statusx']."' ");
			$query="where id='".$_SESSION['id_validar']."' and ".$status." and nomina='".substr($_POST['nomina'],0,3)."' "; 
			if ($_POST['gerencia']!="") $query.="and gerencia='".substr($_POST['gerencia'],0,4)."' ";
			if ($_POST['division']!="") $query.="and division='".substr($_POST['division'],0,4)."' ";
			if ($_POST['pago']!="") $query.="and pago='".substr($_POST['pago'],0,4)."' ";
			if ($_POST['departamento']!="") $query.="and departamento='".substr($_POST['departamento'],0,4)."' ";
		
			$query = "select personal.codigo, personal.nombres, personal.apellidos, personal.fechai, personal.status from personal $query order by personal.".$_POST['ordena']." ";
			$consulta = mysqli_query($enlace,$query) or die ($query. " ".mysqli_error($enlace));
			$nomina=$_POST['nomina'];
			$ordena=$_POST['ordena'];
			$constante=$_POST['constante'];

			echo "<form name = 'entrada2' action = '".$_SERVER['PHP_SELF']."'  method='POST' enctype='multipart/form-data'>";

			echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr class='encabezadoTabla'>";
			echo "		<th> C&eacute;dula</th>";
			echo "		<th> Apellidos</th>";
			echo "		<th> Nombres</th>";
			echo "		<th> Status</th>";
			echo "		<th> Fec Ingr</th>";
			echo "		<th> Monto Actual</th>";
			echo "		<th> Nuevo Monto?</th><tr>";
			
			echo "<input type = 'hidden' name = 'grabar' value = '11'>";
			echo "<input type = 'hidden' name = 'nomina' value = '".$_POST['nomina']."'>";
			echo "<input type = 'hidden' name = 'gerencia' value = '".$_POST['gerencia']."'>";
			echo "<input type = 'hidden' name = 'division' value = '".$_POST['division']."'>";
			echo "<input type = 'hidden' name = 'departamento' value = '".$_POST['departamento']."'>";
			echo "<input type = 'hidden' name = 'pago' value = '".$_POST['pago']."'>";
			echo "<input type = 'hidden' name = 'statusx' value = '".$_POST['statusx']."'>";
			echo "<input type = 'hidden' name = 'constante' value = '".$_POST['constante']."'>";
			echo "<input type = 'hidden' name = 'ordena' value = '".$_POST['ordena']."'>";			
			while ($row = mysqli_fetch_array($consulta)) {
				if ($color) $tcolor="#CFE7DE";
				else $tcolor="white";
				echo '<tr bgcolor='.$tcolor.' >';
				$color=!$color;	
				echo "<td width=150 align='left'>".$row['codigo']."</td>";
				echo "<td width=150>".$row['apellidos']."</td>";
				echo "<td width=150>".$row['nombres']."</td>";
				echo "<td width='50' align='center'>".($row['status']=='A'?'<img src="img2/status_ver.png">':'<img src="img2/status_ver_naranja.png">')."</td>";
				echo "<td width=100 align='left'>&nbsp;".$row['fechai']."</td>";
					$query = "select * from constante_individual where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' and codigo='".substr($_POST['constante'],0,4)."' and cedula = '".$row['codigo']."'";
					$cquery = mysqli_query($enlace,$query) or die ($query. " ".mysqli_error($enlace));
					$monto=0;
					if (mysqli_num_rows($cquery)!=0) {
						$row1 = mysqli_fetch_array($cquery);
						$monto=$row1['monto'];
					}	
				echo "<td width=150 align='right'>".$monto."</td>";
				$cedula='C'.trim($row['codigo']);
				
				echo "<td width='100'>
					<input style='color:black; font-size:1.5em; height: 30px;  width: 150px' name='".$cedula."' maxlength = '20'>
				</td>";				
				echo "</tr>";				
			}
			mysqli_free_result($resultado);
			echo "</table>";
			echo "<center><input name = 'procesar' type='submit' class='boton' value='Cargar Nuevos Montos'></form></center>";
}

?>

	<style>
	.boton {
		border-radius: 8px;      /* Bordes redondeados */
		padding: 8px 16px;       /* Más espacio interno */
		border: none;            /* Quita el borde feo por defecto */
		cursor: pointer;         /* Mano al pasar */
		transition: 0.2s ease;   /* Animación suave */
		}

		.boton:hover {
		transform: scale(1.03);  /* Efecto sutil al pasar el mouse */
		}

				/*Encabezado tablas */
	.encabezadoTabla {
    background: #43bced;
    height: 35px;
	}

	.encabezadoTabla th {
		padding: 8px 12px;
		text-align: left;
		color: white;
		font-weight: bold;
		font-size: 14px;
		letter-spacing: 0.5px;
		border-bottom: 2px solid #2fa3c9;
	}

	.encabezadoTabla th:nth-child(1),
	.encabezadoTabla th:nth-child(2),
	.encabezadoTabla th:nth-child(7),
	.encabezadoTabla th:nth-child(8) {
		text-align: center;
	}
	/*hasta aquí Encabezado tablas */

	</style>

</font></body>
</html>	